Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] sys-fs/udev-180 depends on both kmod and module-...
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Mardok45
n00b
n00b


Joined: 21 Jun 2008
Posts: 63
Location: Right behind you

PostPosted: Tue Feb 07, 2012 12:01 pm    Post subject: [solved] sys-fs/udev-180 depends on both kmod and module-... Reply with quote

Is it correct that the ebuild for sys-fs/udev-180 should depend on both kmod and module-init-tools? As I understand, kmod is replacing module-init-tools, so both ebuilds appropriately mask each other.

So when you try to upgrade to udev-180, portage can't do it because of the masks.


Last edited by Mardok45 on Tue Feb 07, 2012 3:18 pm; edited 1 time in total
Back to top
View user's profile Send private message
Gusar
Advocate
Advocate


Joined: 09 Apr 2005
Posts: 2642
Location: Slovenia

PostPosted: Tue Feb 07, 2012 1:13 pm    Post subject: Re: sys-fs/udev-180 depends on both kmod and module-init-too Reply with quote

Mardok45 wrote:
Is it correct that the ebuild for sys-fs/udev-180 should depend on both kmod and module-init-tools?

Err, no. The ebuild is very clear:
Code:
   ~sys-apps/kmod-4

Post the exact errors you get.
Back to top
View user's profile Send private message
Mardok45
n00b
n00b


Joined: 21 Jun 2008
Posts: 63
Location: Right behind you

PostPosted: Tue Feb 07, 2012 1:45 pm    Post subject: Reply with quote

Code:

 # emerge -DuvaN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-apps/pciutils-3.1.7  USE="-network-cron -zlib*" 0 kB
[ebuild  N    #] sys-apps/kmod-4  USE="compat tools zlib -debug -doc -lzma -static-libs" 318 kB
[ebuild     U #] sys-fs/udev-180 [175-r1] USE="acl gudev hwdb introspection keymap rule_generator -build -debug -doc -edd -floppy (-selinux) -static-libs% (-zlib%*)" 781 kB
[ebuild  N    ~] sys-fs/udev-init-scripts-8  17 kB
[blocks B      ] sys-apps/kmod ("sys-apps/kmod" is blocking sys-apps/module-init-tools-3.16-r1)
[blocks B      ] sys-apps/module-init-tools ("sys-apps/module-init-tools" is blocking sys-apps/kmod-4)

Total: 4 packages (1 upgrade, 2 new, 1 reinstall), Size of downloads: 1,114 kB
Conflict: 2 blocks (2 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-apps/module-init-tools-3.16-r1::gentoo, installed) pulled in by
    sys-apps/module-init-tools required by (virtual/modutils-0::gentoo, installed)
    sys-apps/module-init-tools required by (sys-apps/rescan-scsi-bus-1.29::gentoo, installed)
    >=sys-apps/module-init-tools-3.8 required by (sys-kernel/dracut-014-r2::gentoo, installed)
    sys-apps/module-init-tools required by (x11-drivers/nvidia-drivers-290.10-r1::gentoo, installed)

  (sys-apps/kmod-4::gentoo, ebuild scheduled for merge) pulled in by
    ~sys-apps/kmod-4 required by (sys-fs/udev-180::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following keyword changes are necessary to proceed:
#required by sys-fs/udev-180, required by sys-fs/udev-init-scripts-8
=sys-apps/kmod-4 ~amd64

The following mask changes are necessary to proceed:
#required by sys-fs/udev-180, required by sys-fs/udev-init-scripts-8
# /etc/portage/package.mask:
=sys-apps/kmod-4

The following USE changes are necessary to proceed:
#required by sys-fs/udev-180[hwdb], required by sys-fs/udev-init-scripts-8
=sys-apps/pciutils-3.1.7 -zlib

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.

Use --autounmask-write to write changes to config files (honoring CONFIG_PROTECT).


But in the kmod ebuild...
Code:

COMMON_DEPEND="!sys-apps/module-init-tools
        lzma? ( app-arch/xz-utils )
        zlib? ( sys-libs/zlib )"


And in the module-init-tools ebuild...
Code:

RDEPEND="${DEPEND}
        !<sys-apps/baselayout-2.0.1
        !sys-apps/kmod
        !sys-apps/modutils"


And in the sys-fs/udev-180 ebuild...
Code:

COMMON_DEPEND="selinux? ( sys-libs/libselinux )
        acl? ( sys-apps/acl dev-libs/glib:2 )
        gudev? ( dev-libs/glib:2 )
        introspection? ( dev-libs/gobject-introspection )
        ~sys-apps/kmod-4
        >=sys-apps/util-linux-2.20
        >=sys-libs/glibc-2.10"

RDEPEND="${COMMON_DEPEND}
        hwdb? ( >=sys-apps/usbutils-0.82 sys-apps/pciutils[-zlib] )
        acl? ( sys-apps/coreutils[acl] )
        sys-fs/udev-init-scripts
        !sys-apps/coldplug
        !<sys-fs/lvm2-2.02.45
        !sys-fs/device-mapper
        >=sys-apps/baselayout-1.12.5"


:?

Should I file a bug?
Back to top
View user's profile Send private message
Gusar
Advocate
Advocate


Joined: 09 Apr 2005
Posts: 2642
Location: Slovenia

PostPosted: Tue Feb 07, 2012 2:13 pm    Post subject: Reply with quote

I don't see any bugs in the ebuilds. kmod and module-init-tools block each other, that's fully correct. Just remove module-init-tools and install udev.
Back to top
View user's profile Send private message
Mardok45
n00b
n00b


Joined: 21 Jun 2008
Posts: 63
Location: Right behind you

PostPosted: Tue Feb 07, 2012 2:21 pm    Post subject: Reply with quote

I tried that, and udev-180 tries to bring module-init-tools back in when being installed.
Back to top
View user's profile Send private message
Gusar
Advocate
Advocate


Joined: 09 Apr 2005
Posts: 2642
Location: Slovenia

PostPosted: Tue Feb 07, 2012 2:25 pm    Post subject: Reply with quote

Then you're doing something weird. Do you have a fully updated install? Is virtual/modutils installed? Check with emerge -put to see what exactly is pulling in module-init-tools.

And just to satisfy my curiosity, why exactly are you installing udev-180? Are you aware that it doesn't like the way certain drivers load firmware which causes a 30s hang at boot and those drivers then not working? Also kmod-4 still has some bugs, I suggest waiting for kmod-5
Back to top
View user's profile Send private message
Mardok45
n00b
n00b


Joined: 21 Jun 2008
Posts: 63
Location: Right behind you

PostPosted: Tue Feb 07, 2012 2:50 pm    Post subject: Reply with quote

Code:

$ emerge -put --pretend =sys-fs/udev-180

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] sys-fs/udev-180 [175-r1] USE="-static-libs%"
[ebuild  N    ~]  sys-fs/udev-init-scripts-8
[ebuild     U #]   sys-fs/udev-180 [175-r1] USE="-static-libs%"
[ebuild  N    #]    sys-apps/kmod-4  USE="compat tools zlib -debug -doc -lzma -static-libs"
[ebuild   R    ]    sys-apps/pciutils-3.1.7  USE="-zlib*"

The following keyword changes are necessary to proceed:
#required by sys-fs/udev-180, required by sys-fs/udev-init-scripts-8
=sys-apps/kmod-4 ~amd64

The following mask changes are necessary to proceed:
#required by sys-fs/udev-180, required by sys-fs/udev-init-scripts-8
# /etc/portage/package.mask:
=sys-apps/kmod-4

The following USE changes are necessary to proceed:
#required by sys-fs/udev-180[hwdb], required by sys-fs/udev-init-scripts-8
=sys-apps/pciutils-3.1.7 -zlib

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.


Hm...

I'm fully updated and have virtual/modutils installed.

And, no, I'm not going to upgrade to 180 since I don't have any real reason to. I had <sys-fs/udev-9999 in my keywords for systemd and ran into this when updating. But this is peaking my interest and am trying to figure out why this is happening.

EDIT: Wrong output


Last edited by Mardok45 on Tue Feb 07, 2012 3:04 pm; edited 1 time in total
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Tue Feb 07, 2012 3:03 pm    Post subject: Reply with quote

Mardok45 wrote:
The following keyword changes are necessary to proceed:
#required by sys-fs/udev-180, required by sys-fs/udev-init-scripts-8
=sys-apps/kmod-4 ~amd64

Did ya read that? You would have to unmask kmod.
Back to top
View user's profile Send private message
Mardok45
n00b
n00b


Joined: 21 Jun 2008
Posts: 63
Location: Right behind you

PostPosted: Tue Feb 07, 2012 3:16 pm    Post subject: Reply with quote

Okay, after trying again after unmerging module-init-utils and keywording, the output looks better.

Code:


# emerge -put --pretend =sys-fs/udev-180

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] sys-fs/udev-180 [175-r1] USE="-static-libs%"
[ebuild  N    ~]  sys-fs/udev-init-scripts-8
[ebuild     U #]   sys-fs/udev-180 [175-r1] USE="-static-libs%"
[ebuild  N    #]    sys-apps/kmod-4  USE="compat tools zlib -debug -doc -lzma -static-libs"
[ebuild   R    ]    sys-apps/pciutils-3.1.7  USE="-zlib*"

The following keyword changes are necessary to proceed:
#required by sys-fs/udev-180, required by sys-fs/udev-init-scripts-8
=sys-apps/kmod-4 ~amd64

The following mask changes are necessary to proceed:
#required by sys-fs/udev-180, required by sys-fs/udev-init-scripts-8
# /usr/portage/profiles/package.mask:
# William Hubbs <williamh@gentoo.org> (6 Nov 2011)
# Masking this version of udev and its dependencies until we have a default
# solution for the following issue:
#
# http://www.freedesktop.org/wiki/Software/systemd/separate-usr-is-broken
=sys-apps/kmod-4

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.

That's what I get for opening my damn mouth.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum